# Uses of Interface
org.springframework.transaction.TransactionStatus

Packages that use TransactionStatus
Package
Description
org.springframework.transaction
Spring's core transaction management APIs (independent of any specific transaction management system); an exception hierarchy for Spring's transaction infrastructure; and transaction manager, definition, and status interfaces.
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.
org.springframework.transaction.support
Support classes for the org.springframework.transaction package.

## Uses of TransactionStatus in org.springframework.transaction

Methods in org.springframework.transaction that return TransactionStatus
Modifier and Type
Method
Description
`TransactionStatus`
PlatformTransactionManager.`getTransaction(TransactionDefinition definition)`
Return a currently active transaction or create a new one, according to the specified propagation behavior.
Methods in org.springframework.transaction with parameters of type TransactionStatus
Modifier and Type
Method
Description
`void`
PlatformTransactionManager.`commit(TransactionStatus status)`
Commit the given transaction, with regard to its status.
`void`
PlatformTransactionManager.`rollback(TransactionStatus status)`
Perform a rollback of the given transaction.

## Uses of TransactionStatus in org.springframework.transaction.interceptor

Methods in org.springframework.transaction.interceptor that return TransactionStatus
Modifier and Type
Method
Description
`static TransactionStatus`
TransactionAspectSupport.`currentTransactionStatus()`
Return the transaction status of the current method invocation.
`TransactionStatus`
TransactionAspectSupport.TransactionInfo.`getTransactionStatus()`
Methods in org.springframework.transaction.interceptor with parameters of type TransactionStatus
Modifier and Type
Method
Description
`void`
TransactionAspectSupport.TransactionInfo.`newTransactionStatus(TransactionStatus status)`
`protected TransactionAspectSupport.TransactionInfo`
TransactionAspectSupport.`prepareTransactionInfo(PlatformTransactionManager tm, TransactionAttribute txAttr, String joinpointIdentification, TransactionStatus status)`
Prepare a TransactionInfo for the given attribute and status object.

## Uses of TransactionStatus in org.springframework.transaction.support

Classes in org.springframework.transaction.support that implement TransactionStatus
Modifier and Type
Class
Description
`class`
`AbstractTransactionStatus`
Abstract base implementation of the `TransactionStatus` interface.
`class`
`DefaultTransactionStatus`
Default implementation of the `TransactionStatus` interface, used by `AbstractPlatformTransactionManager`.
`class`
`SimpleTransactionStatus`
A simple `TransactionStatus` implementation.
Methods in org.springframework.transaction.support that return TransactionStatus
Modifier and Type
Method
Description
`final TransactionStatus`
AbstractPlatformTransactionManager.`getTransaction(TransactionDefinition definition)`
This implementation handles propagation behavior.
Methods in org.springframework.transaction.support with parameters of type TransactionStatus
Modifier and Type
Method
Description
`final void`
AbstractPlatformTransactionManager.`commit(TransactionStatus status)`
This implementation of commit handles participating in existing transactions and programmatic rollback requests.
`T`
TransactionCallback.`doInTransaction(TransactionStatus status)`
Gets called by `TransactionTemplate.execute(org.springframework.transaction.support.TransactionCallback<T>)` within a transactional context.
`final Object`
TransactionCallbackWithoutResult.`doInTransaction(TransactionStatus status)`
`protected abstract void`
TransactionCallbackWithoutResult.`doInTransactionWithoutResult(TransactionStatus status)`
Gets called by `TransactionTemplate.execute` within a transactional context.
`final void`
AbstractPlatformTransactionManager.`rollback(TransactionStatus status)`
This implementation of rollback handles participating in existing transactions.
Method parameters in org.springframework.transaction.support with type arguments of type TransactionStatus
Modifier and Type
Method
Description
`default void`
TransactionOperations.`executeWithoutResult(Consumer<TransactionStatus> action)`
Execute the action specified by the given `Runnable` within a transaction.